
Foreman - Bug #31360

[Foreman 2.3] [zh_CN/ja_JP] Non-localized string present in sub menu links of Configure page.

11/20/2020 06:21 PM - vijaykumar sawant

Status: Closed   

Priority: Normal   

Assignee:    

Category: Internationalization   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 2.3.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Description of problem: Non-localized strings present on different pages of Configure menu.

Version-Release number of selected component (if applicable): Version 2.3.0 RC-1

How reproducible: Always

#1-Steps to Reproduce:

1. Login to Foreman 2.3 instance with Japanese/Chinese language.

2. Navigate to Configure - Host Group page.

3. Click on Create Host Group.

4. Switch to tab Operating System.

Actual results: String is not marked as translatable string.

Expected results: Strings should be localized correctly.

Additional info: Same thing can be seen at another sub menu link.

#2-Steps to Reproduce

Navigate to Configure - Classes, click on any item under Class Name, switch to tab Smart Class Parameter.

Please see attached screenshots for both the issues.

Related issues:

Related to Foreman - Bug #32476: 'No matches found' text is untranslated in s... Closed

History

#1 - 03/31/2021 09:13 AM - Amit Upadhye

vijaykumar sawant wrote:

Description of problem: Non-localized strings present on different pages of Configure menu.

Version-Release number of selected component (if applicable): Version 2.3.0 RC-1

How reproducible: Always

#1-Steps to Reproduce:

1. Login to Foreman 2.3 instance with Japanese/Chinese language.

2. Navigate to Configure - Host Group page.

3. Click on Create Host Group.

4. Switch to tab Operating System.

Actual results: String is not marked as translatable string.

Expected results: Strings should be localized correctly.

Additional info: Same thing can be seen at another sub menu link.

#2-Steps to Reproduce

Navigate to Configure - Classes, click on any item under Class Name, switch to tab Smart Class Parameter.
Please see attached screenshots for both the issues.

 Issue is reported for three different pages,

1. The Media Selection string should be fixed by https://projects.theforeman.org/issues/32237

2. We cant translate puppet environment names(production), and not possible to translate class parameters.

3. Untranslated string 'No matches found', someone from UI team should confirm if its translatable.

#2 - 04/30/2021 02:29 PM - Amit Upadhye

- Status changed from New to Closed

vijaykumar sawant wrote:

Description of problem: Non-localized strings present on different pages of Configure menu.

Version-Release number of selected component (if applicable): Version 2.3.0 RC-1

How reproducible: Always

#1-Steps to Reproduce:

1. Login to Foreman 2.3 instance with Japanese/Chinese language.

2. Navigate to Configure - Host Group page.

3. Click on Create Host Group.

4. Switch to tab Operating System.

Actual results: String is not marked as translatable string.

Expected results: Strings should be localized correctly.

Additional info: Same thing can be seen at another sub menu link.

#2-Steps to Reproduce

Navigate to Configure - Classes, click on any item under Class Name, switch to tab Smart Class Parameter.

Please see attached screenshots for both the issues.

 I am closing this issue as 'Media' string has marked for translation. The puppet environment names

vijaykumar sawant wrote:

Description of problem: Non-localized strings present on different pages of Configure menu.

Version-Release number of selected component (if applicable): Version 2.3.0 RC-1

How reproducible: Always

#1-Steps to Reproduce:

1. Login to Foreman 2.3 instance with Japanese/Chinese language.

2. Navigate to Configure - Host Group page.

3. Click on Create Host Group.

4. Switch to tab Operating System.

Actual results: String is not marked as translatable string.

Expected results: Strings should be localized correctly.

Additional info: Same thing can be seen at another sub menu link.

#2-Steps to Reproduce

Navigate to Configure - Classes, click on any item under Class Name, switch to tab Smart Class Parameter.

Please see attached screenshots for both the issues.

 I am closing this,

As 'Media' string has been translated.

We cant translate puppet environment names(production), and not possible to translate class parameters.

I have created a separate issue to track 'No matches found' text for better clarity

#3 - 04/30/2021 02:30 PM - Amit Upadhye

- Related to Bug #32476: 'No matches found' text is untranslated in search bar added
